# Initial spec file created by autospec ver. 0.3
# The Summary: line should be expanded to about here -----^
Summary: Apache authentication using external program
Name: mod_auth_external
%define version 2.1.2
Version: %{version}
Release: 6
Group: System Environment/Daemons
Copyright: The Apache Group
Source: mod_auth_external-%{version}.tar.gz
BuildRoot: /tmp/mod_auth_external-%{version}-root
# Following are optional fields
URL: http://www.wwnet.net/~janc/mod_auth_external.html
Packager: Charli Brady <charlieb@e-smith.net>
Distribution: E-Smith Server
Patch0: mod_auth_extern-pam.patch
Patch1: mod_auth_extern-config.patch
Prefix: /
BuildArchitectures: i386
BuildRequires: apache-devel >= 1.3.12
Requires: apache
#Obsoletes: 

%description
Apache external authentication module - uses PAM.

%changelog
* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Sat Jun 10 2000 Charlie Brady <charlieb@e-smith.net>
- Make sure that "www" group exists before installing.

* Wed May 31 2000 Charlie Brady <charlieb@e-smith.net>
- Fix permissions/ownership - don't want build time group, want install time.

%prep
%setup
%patch0
%patch1

%build
/usr/sbin/apxs -c mod_auth_external.c
cc -o pwauth/pwauth pwauth/pwauth.c -lpam -ldl

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/doc/mod_auth_external-%{version}
mkdir -p ${RPM_BUILD_ROOT}/usr/lib/apache
mkdir -p ${RPM_BUILD_ROOT}/etc/pam.d
install -s mod_auth_external.so ${RPM_BUILD_ROOT}/usr/lib/apache
install -s pwauth/pwauth ${RPM_BUILD_ROOT}/usr/lib/apache
install  README INSTALL ${RPM_BUILD_ROOT}/usr/doc/mod_auth_external-%{version}
install pwauth/README ${RPM_BUILD_ROOT}/usr/doc/mod_auth_external-%{version}/README.pwauth
cat >${RPM_BUILD_ROOT}/etc/pam.d/pwauth <<EOF
#%PAM-1.0
auth       required     /lib/security/pam_pwdb.so shadow nullok
auth       required     /lib/security/pam_nologin.so
account    required     /lib/security/pam_pwdb.so
EOF

%pre
#-----------------------
# add www user and group
#-----------------------
if grep -s '^www:' /etc/group
then
  echo "Found existing www user account - not creating it."
else
  /usr/sbin/useradd -r -c 'web server' -d / -M -s /bin/false www
fi

%files
%defattr(-,root,root)
%attr(04550,root,www) /usr/lib/apache/pwauth
%attr(0555,root,root) /usr/lib/apache/mod_auth_external.so
%attr(0444,root,root)  /etc/pam.d/pwauth
%doc /usr/doc/mod_auth_external-%{version}/INSTALL
%doc /usr/doc/mod_auth_external-%{version}/README
